Name:		qubes-mgmt-salt-dom0-qubes-infrastructure
Version:	4.1.2
Release:	1%{?dist}
Summary:	Manage Qubes OS infrastructure VMs

Group:		System administration tools
License:	GPL 2.0
BuildArch:  noarch
URL:		https://www.qubes-os.org/
Source:	%{name}-%{version}.tar.gz
BuildRequires: make
Requires:	qubes-mgmt-salt
Requires:	qubes-mgmt-salt-dom0

# Turn off automatic python bytecompilation
%undefine py_auto_byte_compile

%description


%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}


%files
%defattr(-,root,root)
%doc LICENSE README.md
%attr(750, root, root) %dir /srv/formulas/base/qubes-infrastructure
/srv/formulas/base/qubes-infrastructure/README.md
/srv/formulas/base/qubes-infrastructure/LICENSE
/srv/formulas/base/qubes-infrastructure/build-infra

%attr(750, root, root) %dir /srv/pillar/base/build-infra
%config(noreplace) /srv/pillar/base/build-infra/init.sls
%config(noreplace) /srv/pillar/base/build-infra/logs.sls
%config(noreplace) /srv/pillar/base/build-infra/logs-kernel.sls
%config(noreplace) /srv/pillar/base/build-infra/logs-kernel-repo.sls
%config(noreplace) /srv/pillar/base/build-infra/build-vms.sls
%config(noreplace) /srv/pillar/base/build-infra/init.top

%config(noreplace) /etc/salt/minion.d/qubes-infrastructure.conf

%changelog
* Thu Oct 06 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-infrastructure.git

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 019b1e9
- version 4.1.2

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ece1d7c
- Unbreak openssl's ripemd160

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1ec5f4a
- version 4.1.1

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 549443b
- Move qubesbuilder.ProcessGithubCommand to the new policy too

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0e619f4
- Fix typo in qrexec policy

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 07d74f0
- Fix example pillar

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9f423ae
- Fix setting split-gpg autoaccept time

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 11b7fb2
- Install mkmetalink in build VM for builderv2

* Tue Oct 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 838261b
- version 4.1.0

* Mon Oct 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 80af22a
- Rename FORMULA file

* Mon Oct 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a5cc119
- Bump qubes-builder commit sha

* Mon Oct 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e29c063
- ci: build with builderv2 for R4.2

* Mon Oct 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 41c4259
- Add .qubesbuilder

* Mon Oct 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d1adf19
- Configure very long autoaccept key access period for builderv2

* Mon Oct 03 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8b0f325
- Add support for deploying builderv2 too

* Sun Sep 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d329ed2
- Fix calling safe-checkout-sha

* Sun Sep 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 58dbdbf
- Update submodules

* Sun Sep 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 88cc26f
- Update default template to fedora-36

* Sun Sep 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8cfe1cd
- Convert policy to new format

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7cfac8d
- Drop Travis CI

* Sun Oct 17 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e51fe47
- spec: add BR make

* Thu Jun 17 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 98a4605
- version 2.0.16

* Thu Jun 17 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4cd5a3f
- Download initial sources for builder plugins only

* Wed Jun 16 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 150c79b
- Fix 'require' formatting

* Wed Jun 16 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d06d811
- version 2.0.15

* Mon Jun 14 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 07f52cf
- builder-cleanup: remove both compressed and uncompressed kernel sources

* Wed Jun 09 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - c01df0d
- Improve dependencies for Salt states

* Wed Jun 09 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 17692ae
- Avoid escaping builder name

* Mon Jun 07 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 7077631
- Update the SHA for qubes-builder

* Sat May 08 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 74ca9ec
- version 2.0.14

* Sat May 08 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 845c597
- Update submodules

* Fri May 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e89d3a1
- version 2.0.13

* Thu May 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e4704c7
- Don't remove old packages from 'current' repo

* Thu May 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6fc912c
- Revert "Check that builder names are valid"

* Thu May 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cd0f37c
- Update default template names

* Thu May 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0ebc263
- Update submodules

* Mon Jan 25 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a70264e
- version 2.0.12

* Mon Jan 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e977b2b
- Fix safe-checkout-sha script

* Thu Dec 31 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 004cdba
- Mass replace: ‘/var/run’ → ‘/run’

* Fri Nov 20 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 088ac11
- Remove git@

* Thu Nov 19 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 1482f81
- Remove unneeded curly braces

* Thu Nov 19 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 6af50c8
- Tell Salt that the script creates the builder dir

* Thu Nov 19 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - ab1c995
- Check that builder names are valid

* Thu Nov 19 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 1230ca7
- Respond to code review from @marmarek:

* Wed Nov 18 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - d6ddc64
- Safely checkout qubes-builder

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fd2780c
- Add .gitlab-ci.yml

* Wed Nov 11 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - a8566f2
- Update submodule to fix metadata signing

* Sat Oct 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4489cef
- version 2.0.11

* Sat Oct 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1fa1d1b
- ssh-proxy: use socat instead of nc

* Sat Oct 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6214aba
- version 2.0.10

